console.log('Preload script loaded');
const { contextBridge, ipcRenderer } = require('electron');

contextBridge.exposeInMainWorld('electronAPI', {
    openGazebo: () => {
        console.log('Sending open-gazebo event');
        ipcRenderer.send('open-gazebo');
    },
    openRviz: () => {
        console.log('Sending open-rviz event');
        ipcRenderer.send('open-rviz');
    },
    closeGazebo: () => {
        console.log('Sending close-gazebo event');
        ipcRenderer.send('close-gazebo');
    },
    closeRviz: () => {
        console.log('Sending close-rviz event');
        ipcRenderer.send('close-rviz');
    },
});


